## org.mortbay.jetty.security
Class ConstraintMapping

    java.lang.Object
      org.mortbay.jetty.security.ConstraintMapping

    public class ConstraintMapping

extends Object

Constructor Summary
`ConstraintMapping()`

Method Summary
`Constraint` `getConstraint()`
`String` `getMethod()`
`String` `getPathSpec()`
`void` `setConstraint(Constraint constraint)`
`void` `setMethod(String method)`
`void` `setPathSpec(String pathSpec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstraintMapping

    public ConstraintMapping()

Method Detail

### getConstraint

    public Constraint getConstraint()

  Returns:
    Returns the constraint.

### setConstraint

    public void setConstraint(Constraint constraint)

  Parameters:
    `constraint` - The constraint to set.

### getMethod

    public String getMethod()

  Returns:
    Returns the method.

### setMethod

    public void setMethod(String method)

  Parameters:
    `method` - The method to set.

### getPathSpec

    public String getPathSpec()

  Returns:
    Returns the pathSpec.

### setPathSpec

    public void setPathSpec(String pathSpec)

  Parameters:
    `pathSpec` - The pathSpec to set.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.